Bug 1290866 - [RFE][vdsm] document backup solution for vdsm/mom/... for host reinstallation
[RFE][vdsm] document backup solution for vdsm/mom/... for host reinstallation
Status: CLOSED DEFERRED
Product: vdsm
Classification: oVirt
Component: Documentation (Show other bugs)
4.17.11
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Dan Kenigsberg
Pavel Stehlik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 12:41 EST by Jiri Belka
Modified: 2017-06-07 14:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-07 14:46:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2015-12-11 12:41:35 EST
Description of problem:

document backup solution for vdsm/mom/... (for host reinstallation). there is nothing in docs.

(we are in POC to support migration from RHEL 6.x host to RHEL 7.x host, ie. 3.5 vdsm to 3.6 vdsm, and redhat-upgrade-tool does the job. but there could be situations where a customer could choose clean reinstall and then just to restore few mandatory files [vdsm certs for example]. thus it would be nice to have such backup flow documented.)

i was not successful with this (clean reinstall, restore) flow till now :/

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1. install a host
2. backup some files
3. clean reinstall and restore files

Actual results:
undocumented flow, unknown files list for backup

Expected results:
mandatory hosts files should be documented and flow for clean reinstall, restore should be documented as well and tested

Additional info:
Comment 1 Jiri Belka 2015-12-11 12:43:43 EST
customers can have their own reason why they want to keep old vdsm.id and certs. iiuc 'Reinstall' would regenerate the certs.
Comment 2 Oved Ourfali 2015-12-13 02:12:28 EST
(In reply to Jiri Belka from comment #1)
> customers can have their own reason why they want to keep old vdsm.id and
> certs. iiuc 'Reinstall' would regenerate the certs.

The certificates are internal to oVirt, and same as vdsm.id.
The customer shouldn't rely on any of those.
Re-install should make the environment ready to use.

So, not sure what kind of documentation you had in mind.
Dan - do we even support such "backup/restore" for VDSM configuration?
Comment 3 Dan Kenigsberg 2015-12-22 03:16:30 EST
I did not try backup/restore of Vdsm configuration myself (or heard of anyone doing this before), but I see merit in trying it out and listing all files that need update. A user may prefer to recreate an existing host instead of adding a new one. One case mentioned was a host with a big local storage domain.

vdsm.id should clearly be one of the things backed up, as Engine uses the uuid therein as the identifier of the host.
Comment 4 Yaniv Kaul 2017-06-07 14:46:47 EDT
Closing old RFEs.

Note You need to log in before you can comment on or make changes to this bug.